package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class AsDetailContractAssetsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AsDetailContractAssetsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("ID like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("ID not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTzzcbhIsNull() {
            addCriterion("TZZCBH is null");
            return (Criteria) this;
        }

        public Criteria andTzzcbhIsNotNull() {
            addCriterion("TZZCBH is not null");
            return (Criteria) this;
        }

        public Criteria andTzzcbhEqualTo(String value) {
            addCriterion("TZZCBH =", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhNotEqualTo(String value) {
            addCriterion("TZZCBH <>", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhGreaterThan(String value) {
            addCriterion("TZZCBH >", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhGreaterThanOrEqualTo(String value) {
            addCriterion("TZZCBH >=", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhLessThan(String value) {
            addCriterion("TZZCBH <", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhLessThanOrEqualTo(String value) {
            addCriterion("TZZCBH <=", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhLike(String value) {
            addCriterion("TZZCBH like", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhNotLike(String value) {
            addCriterion("TZZCBH not like", value, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhIn(List<String> values) {
            addCriterion("TZZCBH in", values, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhNotIn(List<String> values) {
            addCriterion("TZZCBH not in", values, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhBetween(String value1, String value2) {
            addCriterion("TZZCBH between", value1, value2, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andTzzcbhNotBetween(String value1, String value2) {
            addCriterion("TZZCBH not between", value1, value2, "tzzcbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhIsNull() {
            addCriterion("WTHTBH is null");
            return (Criteria) this;
        }

        public Criteria andWthtbhIsNotNull() {
            addCriterion("WTHTBH is not null");
            return (Criteria) this;
        }

        public Criteria andWthtbhEqualTo(String value) {
            addCriterion("WTHTBH =", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhNotEqualTo(String value) {
            addCriterion("WTHTBH <>", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhGreaterThan(String value) {
            addCriterion("WTHTBH >", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhGreaterThanOrEqualTo(String value) {
            addCriterion("WTHTBH >=", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhLessThan(String value) {
            addCriterion("WTHTBH <", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhLessThanOrEqualTo(String value) {
            addCriterion("WTHTBH <=", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhLike(String value) {
            addCriterion("WTHTBH like", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhNotLike(String value) {
            addCriterion("WTHTBH not like", value, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhIn(List<String> values) {
            addCriterion("WTHTBH in", values, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhNotIn(List<String> values) {
            addCriterion("WTHTBH not in", values, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhBetween(String value1, String value2) {
            addCriterion("WTHTBH between", value1, value2, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andWthtbhNotBetween(String value1, String value2) {
            addCriterion("WTHTBH not between", value1, value2, "wthtbh");
            return (Criteria) this;
        }

        public Criteria andJjbhIsNull() {
            addCriterion("JJBH is null");
            return (Criteria) this;
        }

        public Criteria andJjbhIsNotNull() {
            addCriterion("JJBH is not null");
            return (Criteria) this;
        }

        public Criteria andJjbhEqualTo(String value) {
            addCriterion("JJBH =", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhNotEqualTo(String value) {
            addCriterion("JJBH <>", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhGreaterThan(String value) {
            addCriterion("JJBH >", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhGreaterThanOrEqualTo(String value) {
            addCriterion("JJBH >=", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhLessThan(String value) {
            addCriterion("JJBH <", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhLessThanOrEqualTo(String value) {
            addCriterion("JJBH <=", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhLike(String value) {
            addCriterion("JJBH like", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhNotLike(String value) {
            addCriterion("JJBH not like", value, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhIn(List<String> values) {
            addCriterion("JJBH in", values, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhNotIn(List<String> values) {
            addCriterion("JJBH not in", values, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhBetween(String value1, String value2) {
            addCriterion("JJBH between", value1, value2, "jjbh");
            return (Criteria) this;
        }

        public Criteria andJjbhNotBetween(String value1, String value2) {
            addCriterion("JJBH not between", value1, value2, "jjbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhIsNull() {
            addCriterion("YYHTBH is null");
            return (Criteria) this;
        }

        public Criteria andYyhtbhIsNotNull() {
            addCriterion("YYHTBH is not null");
            return (Criteria) this;
        }

        public Criteria andYyhtbhEqualTo(String value) {
            addCriterion("YYHTBH =", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhNotEqualTo(String value) {
            addCriterion("YYHTBH <>", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhGreaterThan(String value) {
            addCriterion("YYHTBH >", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhGreaterThanOrEqualTo(String value) {
            addCriterion("YYHTBH >=", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhLessThan(String value) {
            addCriterion("YYHTBH <", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhLessThanOrEqualTo(String value) {
            addCriterion("YYHTBH <=", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhLike(String value) {
            addCriterion("YYHTBH like", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhNotLike(String value) {
            addCriterion("YYHTBH not like", value, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhIn(List<String> values) {
            addCriterion("YYHTBH in", values, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhNotIn(List<String> values) {
            addCriterion("YYHTBH not in", values, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhBetween(String value1, String value2) {
            addCriterion("YYHTBH between", value1, value2, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andYyhtbhNotBetween(String value1, String value2) {
            addCriterion("YYHTBH not between", value1, value2, "yyhtbh");
            return (Criteria) this;
        }

        public Criteria andZcrzjzIsNull() {
            addCriterion("ZCRZJZ is null");
            return (Criteria) this;
        }

        public Criteria andZcrzjzIsNotNull() {
            addCriterion("ZCRZJZ is not null");
            return (Criteria) this;
        }

        public Criteria andZcrzjzEqualTo(BigDecimal value) {
            addCriterion("ZCRZJZ =", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzNotEqualTo(BigDecimal value) {
            addCriterion("ZCRZJZ <>", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzGreaterThan(BigDecimal value) {
            addCriterion("ZCRZJZ >", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ZCRZJZ >=", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzLessThan(BigDecimal value) {
            addCriterion("ZCRZJZ <", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ZCRZJZ <=", value, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzIn(List<BigDecimal> values) {
            addCriterion("ZCRZJZ in", values, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzNotIn(List<BigDecimal> values) {
            addCriterion("ZCRZJZ not in", values, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZCRZJZ between", value1, value2, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andZcrzjzNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ZCRZJZ not between", value1, value2, "zcrzjz");
            return (Criteria) this;
        }

        public Criteria andSfdzIsNull() {
            addCriterion("SFDZ is null");
            return (Criteria) this;
        }

        public Criteria andSfdzIsNotNull() {
            addCriterion("SFDZ is not null");
            return (Criteria) this;
        }

        public Criteria andSfdzEqualTo(String value) {
            addCriterion("SFDZ =", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzNotEqualTo(String value) {
            addCriterion("SFDZ <>", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzGreaterThan(String value) {
            addCriterion("SFDZ >", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzGreaterThanOrEqualTo(String value) {
            addCriterion("SFDZ >=", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzLessThan(String value) {
            addCriterion("SFDZ <", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzLessThanOrEqualTo(String value) {
            addCriterion("SFDZ <=", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzLike(String value) {
            addCriterion("SFDZ like", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzNotLike(String value) {
            addCriterion("SFDZ not like", value, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzIn(List<String> values) {
            addCriterion("SFDZ in", values, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzNotIn(List<String> values) {
            addCriterion("SFDZ not in", values, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzBetween(String value1, String value2) {
            addCriterion("SFDZ between", value1, value2, "sfdz");
            return (Criteria) this;
        }

        public Criteria andSfdzNotBetween(String value1, String value2) {
            addCriterion("SFDZ not between", value1, value2, "sfdz");
            return (Criteria) this;
        }

        public Criteria andDzrqIsNull() {
            addCriterion("DZRQ is null");
            return (Criteria) this;
        }

        public Criteria andDzrqIsNotNull() {
            addCriterion("DZRQ is not null");
            return (Criteria) this;
        }

        public Criteria andDzrqEqualTo(Date value) {
            addCriterionForJDBCDate("DZRQ =", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqNotEqualTo(Date value) {
            addCriterionForJDBCDate("DZRQ <>", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqGreaterThan(Date value) {
            addCriterionForJDBCDate("DZRQ >", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("DZRQ >=", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqLessThan(Date value) {
            addCriterionForJDBCDate("DZRQ <", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("DZRQ <=", value, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqIn(List<Date> values) {
            addCriterionForJDBCDate("DZRQ in", values, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqNotIn(List<Date> values) {
            addCriterionForJDBCDate("DZRQ not in", values, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("DZRQ between", value1, value2, "dzrq");
            return (Criteria) this;
        }

        public Criteria andDzrqNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("DZRQ not between", value1, value2, "dzrq");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIsNull() {
            addCriterion("XTXMBH is null");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIsNotNull() {
            addCriterion("XTXMBH is not null");
            return (Criteria) this;
        }

        public Criteria andXtxmbhEqualTo(String value) {
            addCriterion("XTXMBH =", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotEqualTo(String value) {
            addCriterion("XTXMBH <>", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhGreaterThan(String value) {
            addCriterion("XTXMBH >", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhGreaterThanOrEqualTo(String value) {
            addCriterion("XTXMBH >=", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLessThan(String value) {
            addCriterion("XTXMBH <", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLessThanOrEqualTo(String value) {
            addCriterion("XTXMBH <=", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhLike(String value) {
            addCriterion("XTXMBH like", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotLike(String value) {
            addCriterion("XTXMBH not like", value, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhIn(List<String> values) {
            addCriterion("XTXMBH in", values, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotIn(List<String> values) {
            addCriterion("XTXMBH not in", values, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhBetween(String value1, String value2) {
            addCriterion("XTXMBH between", value1, value2, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtxmbhNotBetween(String value1, String value2) {
            addCriterion("XTXMBH not between", value1, value2, "xtxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIsNull() {
            addCriterion("XTZXMBH is null");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIsNotNull() {
            addCriterion("XTZXMBH is not null");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhEqualTo(String value) {
            addCriterion("XTZXMBH =", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotEqualTo(String value) {
            addCriterion("XTZXMBH <>", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhGreaterThan(String value) {
            addCriterion("XTZXMBH >", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhGreaterThanOrEqualTo(String value) {
            addCriterion("XTZXMBH >=", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLessThan(String value) {
            addCriterion("XTZXMBH <", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLessThanOrEqualTo(String value) {
            addCriterion("XTZXMBH <=", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhLike(String value) {
            addCriterion("XTZXMBH like", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotLike(String value) {
            addCriterion("XTZXMBH not like", value, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhIn(List<String> values) {
            addCriterion("XTZXMBH in", values, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotIn(List<String> values) {
            addCriterion("XTZXMBH not in", values, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhBetween(String value1, String value2) {
            addCriterion("XTZXMBH between", value1, value2, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andXtzxmbhNotBetween(String value1, String value2) {
            addCriterion("XTZXMBH not between", value1, value2, "xtzxmbh");
            return (Criteria) this;
        }

        public Criteria andCclbIsNull() {
            addCriterion("CCLB is null");
            return (Criteria) this;
        }

        public Criteria andCclbIsNotNull() {
            addCriterion("CCLB is not null");
            return (Criteria) this;
        }

        public Criteria andCclbEqualTo(String value) {
            addCriterion("CCLB =", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotEqualTo(String value) {
            addCriterion("CCLB <>", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbGreaterThan(String value) {
            addCriterion("CCLB >", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbGreaterThanOrEqualTo(String value) {
            addCriterion("CCLB >=", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLessThan(String value) {
            addCriterion("CCLB <", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLessThanOrEqualTo(String value) {
            addCriterion("CCLB <=", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbLike(String value) {
            addCriterion("CCLB like", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotLike(String value) {
            addCriterion("CCLB not like", value, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbIn(List<String> values) {
            addCriterion("CCLB in", values, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotIn(List<String> values) {
            addCriterion("CCLB not in", values, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbBetween(String value1, String value2) {
            addCriterion("CCLB between", value1, value2, "cclb");
            return (Criteria) this;
        }

        public Criteria andCclbNotBetween(String value1, String value2) {
            addCriterion("CCLB not between", value1, value2, "cclb");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}